import request from '@/utils/request'

export function fetchList(query) {
  return request({
    url: '/ncjtEntranceGuard/getDevicePageList',
    method: 'get',
    params: query
  })
}

export function createDevice(data) {
  return request({
    url: '/ncjtEntranceGuard/addDevice',
    method: 'post',
    data
  })
}

export function updateDevice(data) {
  return request({
    url: '/ncjtEntranceGuard/updateDevice',
    method: 'post',
    data
  })
}

export function deletDevice(query) {
  return request({
    url: '/ncjtEntranceGuard/deleteDeviceById',
    method: 'get',
    params: query
  })
}

